<template>
  <div>
    <h3>Téléchargez les fiches informatives</h3>
    <div v-for="(f, i) in FILES" :key=i>
      <a class="files" target= "_blank" :href="makeFileUrl(f.slug)">
        <i class="fa fa-fw fa-info-circle" title="Fiches informatives"></i>
        {{ f.title }}
      </a>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { STATIC_URL } from '../utils/_static';

export default defineComponent({
  name: 'InfoFileContent',
  setup: () => {

    const makeFileUrl = (slug: string): string => `${STATIC_URL}${slug}.pdf`;

    const FILES = [
      {
        slug: "haie",
        title: "Haie bocagère"
      },
      {
        slug: "bande-enherbee",
        title: "Bande enherbée"
      },
      {
        slug: "b-lignocellulosique-de-miscanthus",
        title: "Bande lignocellulosique de miscanthus"
      },
      {
        slug: "b-lignocellulosique-de-saulepeuplier",
        title: "Bande lignocellulosique de saules ou de peupliers"
      },
      {
        slug: "chenal_enherbe",
        title: "Chenal enherbé"
      },
      {
        slug: "ripisylve",
        title: "Ripisylve"
      },
      {
        slug: "zone-tampon-humide-artificielle",
        title: "Zone tampon humide artificielle"
      },
      {
        slug: "8_Alignement_arbres",
        title: "Alignement d'arbres"
      },
      {
        slug: "9_Fosse_vegetalise",
        title: "Fossé végétalisé"
      },
      {
        slug: "10_Amenagements_cours_eau",
        title: "Aménagement des cours d'eau et plans d'eau pour y favoriser l'autoépuration"
      },
      {
        slug: "Annexe3_Zone_forestiere",
        title: "Bonnes pratiques en zone forestière pour la protection de la ressource en eau"
      },
      {
        slug: "Annexe8_Chemins_eau",
        title: "Localisation des chemins de l’eau et positionnement des solutions"
      },
      {
        slug: "Zone_urbanisée_ERUIS",
        title: "Gestion durable des eaux de ruissellement contre la pollution"
      },
      {
        slug: "Zone_urbanisée_EUD",
        title: "Protection de la ressource en eau en zone urbanisée - Eaux usées domestiques"
      },
    ];

    return {
      FILES,
      makeFileUrl
    }
  }
})
</script>


<style lang="scss" scoped>
a.files {
  text-decoration: none;
  color: inherit;
}
</style>
